<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<app-searchbar
  (appSearch)="appSearch.emit({q: $event})"
  [appIsLoading]="appIsLoading"
  [appSearchText]="appSearchText"
  class="searchbar">
</app-searchbar>

<app-statement-table
  *ngIf="appSearchContent?.length > 0"
  (appSelect)="toggle($event.id, $event.value)"
  [appColumns]="columns"
  [appEntries]="appSearchContent | getStatementEntriesForSelect: appValue"
  [appOpenStatementInNewTab]="true"
  [appStatementTypeOptions]="appStatementTypeOptions"
  class="statements-table openk-table---last-row-without-border">
</app-statement-table>

<button (click)="writeValue([], true)" class="openk-button" type="button">
  {{"shared.statementSelect.clear" | translate}}
</button>
